<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem name="trian" revision="25" url="http://codecenter.sgu.ru:8081/polygon/p/vasilevskiy.boris/trian">
    <judging input-file="trian.in" output-file="trian.out">
        <testset name="tests">
            <time-limit>1000</time-limit>
            <memory-limit>67108864</memory-limit>
            <test-count>68</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test cmd="main 1 0 0 0 0 0 0" method="generated"/>
                <test cmd="main 5 0 1 0 1 3 4" method="generated"/>
                <test cmd="main 1 0 1 1 1 -73807669 9565495 390398" method="generated"/>
                <test cmd="main 2 0 1 1 0 89762368 12762811 729741" method="generated"/>
                <test cmd="main 3 1 0 0 1 -70895517 -99429786 797806" method="generated"/>
                <test cmd="main 4 0 0 0 1 96803355 94220280 1105" method="generated"/>
                <test cmd="main 5 0 1 0 1 -23298251 -16480666 158202" method="generated"/>
                <test cmd="main 6 1 1 1 0 32380206 13618455 465802" method="generated"/>
                <test cmd="main 7 1 0 1 0 68891320 62325023 85044" method="generated"/>
                <test cmd="main 8 0 1 1 0 -73929579 -70162735 651891" method="generated"/>
                <test cmd="main 9 0 1 1 1 51292330 92554885 310571" method="generated"/>
                <test cmd="main 10 1 1 1 0 95800127 45306417 471343" method="generated"/>
                <test cmd="main 11 1 0 1 0 57333717 -37375642 483187" method="generated"/>
                <test cmd="main 12 0 1 1 0 97032691 -66410914 950644" method="generated"/>
                <test cmd="main 13 1 0 0 1 12073876 86723121 836328" method="generated"/>
                <test cmd="main 14 0 0 1 1 -15405334 70777259 72325" method="generated"/>
                <test cmd="main 15 1 1 1 1 86731375 -20578202 102454" method="generated"/>
                <test cmd="main 1 1 0 0 1 47905660 -468272 73225" method="generated"/>
                <test cmd="main 2 0 0 1 1 -30326200 65694310 140561" method="generated"/>
                <test cmd="main 3 0 0 1 1 -15519690 -24892447 58017" method="generated"/>
                <test cmd="main 4 0 1 0 0 54182119 -47057201 66887" method="generated"/>
                <test cmd="main 5 1 0 1 1 82234565 -28973859 494528" method="generated"/>
                <test cmd="main 6 1 1 1 1 -51809262 -83973922 788821" method="generated"/>
                <test cmd="main 7 1 0 1 1 -49144908 -29312135 373193" method="generated"/>
                <test cmd="main 8 1 1 0 1 -1101204 -15230826 803973" method="generated"/>
                <test cmd="main 9 0 0 0 1 -61220363 52664504 349132" method="generated"/>
                <test cmd="main 10 0 0 0 0 8155972 38470540 502304" method="generated"/>
                <test cmd="main 11 0 0 1 1 -42312242 -95831445 354277" method="generated"/>
                <test cmd="main 12 0 1 0 0 -94653519 66025123 61786" method="generated"/>
                <test cmd="main 13 0 1 0 0 73315423 -18233189 781220" method="generated"/>
                <test cmd="main 14 1 1 1 1 55627670 -94054508 919629" method="generated"/>
                <test cmd="main 15 1 1 1 1 72383484 -6711604 712561" method="generated"/>
                <test cmd="main 1 0 0 0 0 25324995 -99710165 794309" method="generated"/>
                <test cmd="main 2 1 0 1 1 -57030840 12572766 611871" method="generated"/>
                <test cmd="main 3 1 0 1 1 15542937 42794662 890843" method="generated"/>
                <test cmd="main 4 1 0 0 0 -27748837 -28289005 717614" method="generated"/>
                <test cmd="main 5 1 1 1 1 -77878259 -63138358 305533" method="generated"/>
                <test cmd="main 6 1 0 1 0 33723218 16253985 901870" method="generated"/>
                <test cmd="main 7 1 0 0 1 97452679 65962031 319283" method="generated"/>
                <test cmd="main 8 1 1 1 1 -31802748 69994031 284012" method="generated"/>
                <test cmd="main 9 1 0 1 0 89859842 79998749 292977" method="generated"/>
                <test cmd="main 10 1 0 0 1 21706605 49871520 238143" method="generated"/>
                <test cmd="main 11 1 1 1 1 -68235724 78705205 816906" method="generated"/>
                <test cmd="main 12 1 0 0 0 51271185 -89183690 914517" method="generated"/>
                <test cmd="main 13 1 1 0 1 51166605 -10238486 681247" method="generated"/>
                <test cmd="main 14 0 0 1 1 -91099468 -2596309 821956" method="generated"/>
                <test cmd="main 15 1 0 1 0 4617074 -42527135 688728" method="generated"/>
                <test cmd="main 1 0 0 1 0 27687342 46587622 702821" method="generated"/>
                <test cmd="main 2 0 0 0 1 86287286 -59918703 386252" method="generated"/>
                <test cmd="main 3 1 0 0 0 23883041 -64030771 686990" method="generated"/>
                <test cmd="main 4 0 0 0 0 69515683 -77428737 11986" method="generated"/>
                <test cmd="main 5 1 1 0 1 57948585 -82433577 848989" method="generated"/>
                <test cmd="main 6 1 1 0 1 -3230826 49680871 400722" method="generated"/>
                <test cmd="main 7 1 0 1 1 28237699 -69629268 625428" method="generated"/>
                <test cmd="main 8 0 1 1 1 63846091 33244794 825651" method="generated"/>
                <test cmd="main 9 1 0 1 1 -34303642 58610320 390720" method="generated"/>
                <test cmd="main 10 0 1 0 1 -43159015 -48528608 841623" method="generated"/>
                <test cmd="main 11 0 0 0 1 -80748649 9083437 650177" method="generated"/>
                <test cmd="main 12 0 0 1 1 -91600410 97795623 695919" method="generated"/>
                <test cmd="main 13 0 1 1 1 -68087655 32684372 103557" method="generated"/>
                <test cmd="main 14 0 1 0 0 -44387431 16050939 850129" method="generated"/>
                <test cmd="main 15 0 0 1 1 69525934 -75185699 71343" method="generated"/>
                <test method="manual"/>
                <test cmd="main 16 1 0 0 1 53858 -584564 654654" method="generated"/>
                <test cmd="main 17 1 1 0 1 -879789 -584564 6932" method="generated"/>
                <test cmd="main 18 1 0 1 0 -534534 5345345 5435" method="generated"/>
                <test cmd="main 19 1 0 0 1 548958 65546 635426" method="generated"/>
                <test method="manual"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/problem.tex"/>
        </resources>
        <executables>
            <executable>
                <source>
                    <file path="files/trian_validator.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/trian_validator.exe" type="exe.win32"/>
                </binary>
            </executable>
            <executable>
                <source>
                    <file path="files/main.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/main.exe" type="exe.win32"/>
                </binary>
            </executable>
        </executables>
        <resources>
            <file path="files/tests.zip"/>
            <file path="files/test.data"/>
        </resources>
    </files>
    <assets>
        <checker name="std::yesno.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++"/>
            <binary path="check.exe" type="exe.win32"/>
        </checker>
        <validator>
            <source path="files/trian_validator.cpp" type="cpp.g++"/>
            <binary path="files/trian_validator.exe" type="exe.win32"/>
        </validator>
        <solutions>
            <solution tag="rejected">
                <source path="solutions/trian_sf.cpp" type="cpp.g++"/>
                <binary path="solutions/trian_sf.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/000049-msu_detritus-msu_detritus-!prob_5.cpp" type="cpp.g++"/>
                <binary path="solutions/000049-msu_detritus-msu_detritus-!prob_5.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/Trian_Simple.cpp" type="cpp.g++"/>
                <binary path="solutions/Trian_Simple.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/Trian.cpp" type="cpp.g++"/>
                <binary path="solutions/Trian.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/Trian_Simple_WA2.cpp" type="cpp.g++"/>
                <binary path="solutions/Trian_Simple_WA2.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/000060-mikhail-mikhail-!prob_5.cpp" type="cpp.g++"/>
                <binary path="solutions/000060-mikhail-mikhail-!prob_5.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/000022-js-team-MSU_JS-team-!prob_5.cpp" type="cpp.g++"/>
                <binary path="solutions/000022-js-team-MSU_JS-team-!prob_5.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/Trian_WA.cpp" type="cpp.g++"/>
                <binary path="solutions/Trian_WA.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/000029-js-team-MSU_JS-team-!prob_5.cpp" type="cpp.g++"/>
                <binary path="solutions/000029-js-team-MSU_JS-team-!prob_5.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/000042-msu_detritus-msu_detritus-!prob_5.cpp" type="cpp.g++"/>
                <binary path="solutions/000042-msu_detritus-msu_detritus-!prob_5.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/Trian_Simple_WA.cpp" type="cpp.g++"/>
                <binary path="solutions/Trian_Simple_WA.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/trian_sf_ok.cpp" type="cpp.g++"/>
                <binary path="solutions/trian_sf_ok.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <statements>
        <statement format="tex" language="russian" path="statements/russian/problem.tex" title="Прямоугольные треугольники"/>
    </statements>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <tags>
        <tag value="geometry"/>
        <tag value="moscow team"/>
    </tags>
</problem>
